Debian Bug report logs - #474737
Etch netboot installer does not detect ide harddisk

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: markus.mbox@gmx.de

Date: Mon, 7 Apr 2008 13:51:02 UTC

Severity: normal

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to markus.mbox@gmx.de:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: markus.mbox@gmx.de
To: submit@bugs.debian.org
Subject: Etch netboot installer does not detect ide harddisk
Date: Mon, 07 Apr 2008 15:48:51 +0200
[Message part 1 (text/plain, inline)]
Package: installation-reports

Boot method: network
Image version: http://ftp.nl.debian.org/debian/dists/etch/main/installer-i386/current/images/netboot/debian-installer/i386/initrd.gz
http://ftp.nl.debian.org/debian/dists/etch/main/installer-i386/current/images/netboot/debian-installer/i386/linux
ftp://192.168.2.5/Debian-4.0/debian-40r3-i386-DVD-1.iso

Date: Mo Apr  7 15:11:27 CEST 2008


Machine: VMware with IDE(0,0)-harddisk
Processor:
Memory:   256m
Partitions: empty

Output of lspci -nn and lspci -vnn:
see install-log

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [o]
Detect network card:    [o]
Configure network:      [o]
Detect CD:              [ ]
Load installer modules: [o]
Detect hard drives:     [e]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

The IDE hard disk is not detected. The installer then wants to create partitions on the floppy.

This failure happens on a virtual machine and on real hardware also.

Newer versions of kernel and initrd don't work with debian-40r3-i386-DVD-1.iso (module version mismatch).

What can i do?

Markus

-- 
Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen! 
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer
[install-log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 474737@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 474737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 474737@bugs.debian.org
Cc: markus.mbox@gmx.de
Subject: Re: Bug#474737: Etch netboot installer does not detect ide harddisk
Date: Tue, 8 Apr 2008 20:51:43 +0200
On Monday 07 April 2008, markus.mbox@gmx.de wrote:
> Comments/Problems:
> The IDE hard disk is not detected. The installer then wants to create
> partitions on the floppy.

I have used vmware myself extensively before the release of Etch and it 
always worked for me. At some point I ran into kernel incompatibilities 
(vmware 5.2 with 2.6.24 kernel) and eventually switched to VirtualBox.

So basically I have no idea how compatible current vmware versions are with 
the Etch kernel (2.6.18), or even with current testing/unstable kernels.

Problem seems to be that the piix module is not getting loaded, which is 
needed for your IDE controller.
What happens if you try to modprobe that manually?

> This failure happens on a virtual machine and on real hardware also.

Please file a separate bug report for the real hardware, with logs attached.

> Newer versions of kernel and initrd don't work with
> debian-40r3-i386-DVD-1.iso (module version mismatch).

That is correct. You could try a "daily built" businesscard or netinst image 
[1], just to see if that does detect the disks. That has a 2.6.24 kernel.

Cheers,
FJP

[1] http://www.debian.org/devel/debian-installer/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to markus.mbox@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 474737@bugs.debian.org (full text, mbox):

From: markus.mbox@gmx.de
To: 474737@bugs.debian.org
Subject: Re: Bug#474737: Etch netboot installer does not detect ide harddisk
Date: Tue, 08 Apr 2008 22:51:26 +0200
[Message part 1 (text/plain, inline)]
> Problem seems to be that the piix module is not getting loaded, which is 
> needed for your IDE controller.
> What happens if you try to modprobe that manually?

There are two ways to load: Selecting ata_piix on driver menu on (console 1) or with "modprobe ata_piix" on console 2. But nothings helps. The module is in the lsmod-list, but no device /dev/hdx exists.


> > This failure happens on a virtual machine and on real hardware also.

I think the reason for the failure is the ide-harddisk, regardless whether virtual or real. I will enclose log-files from a dell laptop insp7000 here. As you will see, the virtual machine is much more modern :-)

> You could try a "daily built" businesscard or netinst
> image 
> [1], just to see if that does detect the disks. That has a 2.6.24 kernel.

This doesn't work at all, because of module mismatch between the kernel and the DVD.

I have succeeded with "Backported d-i images archive" which consist not only of kernel and initrd.gz (http://mirror.home-dn.net/d-i/2.6.24/netboot/netboot.tar.gz) but also of a iso-image (http://mirror.home-dn.net/d-i/2.6.24/etch-custom-0215.iso). This gives me a minimal basic system. But at the time now I have no further information whether this will result in a stable installation since at some point I will have to switch over to my debian-40r3-i386-DVD-1.iso.

Markus


-- 
Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten 
Browser-Versionen downloaden: http://www.gmx.net/de/go/browser
[install-log.tgz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 474737@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 474737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 474737@bugs.debian.org
Cc: markus.mbox@gmx.de
Subject: Re: Bug#474737: Etch netboot installer does not detect ide harddisk
Date: Wed, 9 Apr 2008 11:46:36 +0200
On Tuesday 08 April 2008, markus.mbox@gmx.de wrote:
> > Problem seems to be that the piix module is not getting loaded, which
> > is needed for your IDE controller.
> > What happens if you try to modprobe that manually?
>
> There are two ways to load: Selecting ata_piix on driver menu on (console
> 1) or with "modprobe ata_piix" on console 2. But nothings helps. The
> module is in the lsmod-list, but no device /dev/hdx exists.

I asked you to try the piix module, not the ata_piix module!

> > > This failure happens on a virtual machine and on real hardware also.
>
> I think the reason for the failure is the ide-harddisk, regardless
> whether virtual or real. I will enclose log-files from a dell laptop
> insp7000 here.

No, the problem is in the kernel drivers.

I see ata_piix is loaded for this laptop, but again, you need the piix 
module. Please try loading that. If ata_piix is loaded automatically, then 
try removing it first with 'modprobe -r ata_piix'.

> As you will see, the virtual machine is much more modern :-)

Yes, but also more unpredictable because of the emulation layers.

> > You could try a "daily built" businesscard or netinst
> > image
> > [1], just to see if that does detect the disks. That has a 2.6.24
> > kernel.
>
> This doesn't work at all, because of module mismatch between the kernel
> and the DVD.

1) There are no daily built DVD images.
2) There is no module mismatch with current weekly built DVD images.
   There was more than a week ago, but that was fixed.

Please try a *daily* built *netinst or businesscard* *CD* image.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to markus.mbox@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 474737@bugs.debian.org (full text, mbox):

From: markus.mbox@gmx.de
To: 474737@bugs.debian.org
Subject: Re: Bug#474737: Etch netboot installer does not detect ide harddisk
Date: Wed, 09 Apr 2008 21:15:16 +0200
> I asked you to try the piix module, not the ata_piix module!

Oh sorry, my mistake.

But there is no piix. A "find /lib/modules -name *piix*" (console Alt+F2) gives only .../scsi/ata_piix.ko

> 
> No, the problem is in the kernel drivers.

Ok, of course. What I meant, it is the presence of a ide-harddisk. The network installation method was no problem on a computer with a sata-disk.

> 1) There are no daily built DVD images.
> 2) There is no module mismatch with current weekly built DVD images.
>    There was more than a week ago, but that was fixed.
> 
> Please try a *daily* built *netinst or businesscard* *CD* image.

You mean a weekly DVD-image from "testing"? But then all packages would be from "testing", or am I wrong? The "stable" installer (which fits to debian-40r3-i386-DVD-1.iso) will not be updated?

Markus
-- 
Psssst! Schon vom neuen GMX MultiMessenger gehört?
Der kann`s mit allen: http://www.gmx.net/de/go/multimessenger




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. (Wed, 29 Oct 2008 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus.mbox@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 29 Oct 2008 00:51:03 GMT) Full text and rfc822 format available.

Message #30 received at 474737@bugs.debian.org (full text, mbox):

From: markus.mbox@gmx.de
To: 474737@bugs.debian.org
Subject: Still not working: Etch netboot installer does not detect ide harddisk
Date: Wed, 29 Oct 2008 01:46:01 +0100
I have tried a recent version of netinst and it still is missing the piix module. 

iso image: http://cdimage.debian.org/debian-cd/4.0_r5/i386/iso-cd/debian-40r5-i386-netinst.iso

Markus

-- 
GMX Download-Spiele: Preizsturz! Alle Puzzle-Spiele Deluxe über 60% billiger.
http://games.entertainment.gmx.net/de/entertainment/games/download/puzzle/index.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. (Wed, 29 Oct 2008 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 474737@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 29 Oct 2008 15:42:05 GMT) Full text and rfc822 format available.

Message #35 received at 474737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 474737@bugs.debian.org
Cc: markus.mbox@gmx.de
Subject: Re: Bug#474737: Still not working: Etch netboot installer does not detect ide harddisk
Date: Wed, 29 Oct 2008 16:39:40 +0100
On Wednesday 29 October 2008, markus.mbox@gmx.de wrote:
> I have tried a recent version of netinst and it still is missing the
> piix module.

This really is total nonsense.
It's in /lib/modules/<kvers>/kernel/drivers/ide/pci/ and is present for 
both the Etch and Lenny installer.

> iso image:
> http://cdimage.debian.org/debian-cd/4.0_r5/i386/iso-cd/debian-40r5-i386
>-netinst.iso

Stable updates are not likely to change anything major. If you really want 
to try an updated image, either use the daily built images from [1] and 
install lenny, or use an "etchnhalf" image [2] which installs etch, but 
uses a newer kernel.

[1] http://www.debian.org/devel/debian-installer/
[2] http://www.debian.org/releases/etch/debian-installer/etchnhalf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. (Thu, 30 Oct 2008 00:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus.mbox@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 30 Oct 2008 00:48:09 GMT) Full text and rfc822 format available.

Message #40 received at 474737@bugs.debian.org (full text, mbox):

From: markus.mbox@gmx.de
To: 474737@bugs.debian.org
Subject: Re: Bug#474737: Still not working: Etch netboot installer does not detect ide harddisk
Date: Thu, 30 Oct 2008 01:44:30 +0100
> This really is total nonsense.
> It's in /lib/modules/<kvers>/kernel/drivers/ide/pci/ and is present for 
> both the Etch and Lenny installer.

Sorry, no :-(

More precisely:  Within  debian-LennyBeta2-i386-netinst.iso  there is a  initrd.gz  (size 4294684) containing  lib/modules/2.6.24-1-486/kernel/drivers/ide/pci/piix.ko. Ok, looks good.

But with this initrd the installer tries is to access a CD/DVD drive and fails without it. Don't know why this is called a "netinst" iso. One would expect netinst uses a network connection.

There also is a kernel / initrd.gz (size 5245043) pair in debian/dists/lenny/main/installer-i386/current/images/netboot/debian-installer/i386. 

If you take this initrd.gz the installer initiates dhcp and network, as expected. But this initrd has no ide modules. There is only a ...drivers/ide/legacy directory. I you have a scsi disk there is no problem, but ide disks are not found. 


Markus

-- 
"Feel free" - 5 GB Mailbox, 50 FreeSMS/Monat ...
Jetzt GMX ProMail testen: http://www.gmx.net/de/go/promail




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. (Thu, 30 Oct 2008 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 474737@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 30 Oct 2008 09:39:03 GMT) Full text and rfc822 format available.

Message #45 received at 474737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 474737@bugs.debian.org
Cc: markus.mbox@gmx.de
Subject: Re: Bug#474737: Still not working: Etch netboot installer does not detect ide harddisk
Date: Thu, 30 Oct 2008 10:35:45 +0100
On Thursday 30 October 2008, markus.mbox@gmx.de wrote:
> > This really is total nonsense.
> > It's in /lib/modules/<kvers>/kernel/drivers/ide/pci/ and is present
> > for both the Etch and Lenny installer.
>
> Sorry, no :-(

Eh, YES!

> More precisely:  Within  debian-LennyBeta2-i386-netinst.iso  there is a
>  initrd.gz  (size 4294684) containing 
> lib/modules/2.6.24-1-486/kernel/drivers/ide/pci/piix.ko. Ok, looks
> good.
>
> But with this initrd the installer tries is to access a CD/DVD drive
> and fails without it.

Great. So instead of wasting our time trying to convince us that we don't 
know what we're talking about, why don't you try my suggestions from [1] 
and actually give some meaningfull info about what happens when you load 
the different drivers manually?

You also never sent the log for an installation on the "real hardware".

> Don't know why this is called a "netinst" iso. 
> One would expect netinst uses a network connection.

It does. Only the base system can be installed from the CD. All other 
packages need to be downloaded from a network mirror.

> There also is a kernel / initrd.gz (size 5245043) pair in
> debian/dists/lenny/main/installer-i386/current/images/netboot/debian-in
>staller/i386.

That image is currently broken as documented in the top news item on [2]. 
You will get a big fat warning that "no corresponding kernel module udebs 
can be found". Have you just ignored that?
Please use a daily built image until RC1 is released.

The fact that it does not contain piix is correct. In fact, a netboot 
initrd does not contain _any_ disk drivers, only network and USB, simply 
because it does not need to.
The disk drivers are loaded later in the installation from a mirror. When 
you use a daily built netboot image instead and look again during or 
after the disk detection step, you _will_ see the module.

[1] http://bugs.debian.org/474737#10
[2] http://www.debian.org/devel/debian-installer/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. (Fri, 31 Oct 2008 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus.mbox@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 31 Oct 2008 16:42:02 GMT) Full text and rfc822 format available.

Message #50 received at 474737@bugs.debian.org (full text, mbox):

From: markus.mbox@gmx.de
To: 474737@bugs.debian.org
Subject: Re: Bug#474737: Still not working: Etch netboot installer does not detect ide harddisk
Date: Fri, 31 Oct 2008 17:40:27 +0100
[Message part 1 (text/plain, inline)]
1) I have succeeded with network boot / network install with etch-r3. I have "patched" the
    netboot initrd with ide modules stolen from debian-40r3-i386-DVD-1.iso. Not nice but it works.

2) Trying with recent debian version still fails.

Kernel and initrd is from 
http://people.debian.org/~joeyh/d-i/images/daily/netboot/debian-installer/i386/

Both are loaded via pxe / tftp.

Installation image is debian-testing-i386-netinst.iso from
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/

It is loaded via ftp. 

Installation fails because the IDE disk is not detected. 

Here I include syslog.gz.  

Markus
-- 
GMX Download-Spiele: Preizsturz! Alle Puzzle-Spiele Deluxe über 60% billiger.
http://games.entertainment.gmx.net/de/entertainment/games/download/puzzle/index.html
[syslog.gz (application/x-gunzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. (Sat, 01 Nov 2008 11:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus.mbox@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 01 Nov 2008 11:33:05 GMT) Full text and rfc822 format available.


Message #55 received at 474737@bugs.debian.org (full text, mbox):

From: markus.mbox@gmx.de
To: 474737@bugs.debian.org
Date: Sat, 01 Nov 2008 12:31:31 +0100
Hmm, thinking more about this...

It seems the debian installer uses two sources for modules. Those coming in from 
initrd (already in /lib/modules/...) and those being loaded from udeb packages.

What I have done is booting with a netboot kernel and initrd (having no disk modules) 
and then accessing my local server where the debian dvd is mounted. The dvd obviously 
misses ide module udeb packages. Maybe because it has the ide modules in its initrd. Which 
doesn't help when booted in a different way. 

This basically leads to the question: Is the debian dvd sufficient as installation media 
remotely mounted on a local server? Should it be?

Since with SCSI disks this worked perfectly well I thought it is. Why do SCSI module udeb packages 
exist and IDE not?

I admit I am more familiar with SuSEs network install. After it has access to the installation 
media mounted somewhere in the local network there no difference to a local install.

Markus
-- 
GMX Download-Spiele: Preizsturz! Alle Puzzle-Spiele Deluxe über 60% billiger.
http://games.entertainment.gmx.net/de/entertainment/games/download/puzzle/index.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#474737; Package installation-reports. (Sat, 01 Nov 2008 13:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 474737@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 01 Nov 2008 13:45:02 GMT) Full text and rfc822 format available.

Message #60 received at 474737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 474737@bugs.debian.org
Cc: markus.mbox@gmx.de
Subject: Re: Bug#474737: (no subject)
Date: Sat, 1 Nov 2008 14:43:38 +0100
On Saturday 01 November 2008, markus.mbox@gmx.de wrote:
> What I have done is booting with a netboot kernel and initrd (having no
> disk modules) and then accessing my local server where the debian dvd
> is mounted. The dvd obviously misses ide module udeb packages. Maybe
> because it has the ide modules in its initrd. Which doesn't help when
> booted in a different way.
>
> This basically leads to the question: Is the debian dvd sufficient as
> installation media remotely mounted on a local server? Should it be?

No. It sounds as if you've been creatively combining installation methods 
and thereby created a non-working system (and wasting our time).

Why don't you just try following the netboot installation as it's 
intended?




Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Wed, 08 Sep 2010 05:01:45 GMT) Full text and rfc822 format available.

Notification sent to markus.mbox@gmx.de:
Bug acknowledged by developer. (Wed, 08 Sep 2010 05:01:45 GMT) Full text and rfc822 format available.

Message #65 received at 474737-done@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 474737-done@bugs.debian.org
Subject: Closing old installation report #474737
Date: Wed, 08 Sep 2010 03:58:29 +0000
We are closing this installation report for one of the following
reasons:
- it was reported with a pre-lenny version of Debian
  Installer.
- indications in the installation report give the feeling that
  the reported problem waslying in another software, unrelated to
  D-I, which we can't easily identify.
- indications in the installation report suggest that it may have been
  fixed in a more recent version of a D-I component
- it was successful and we forgot closing it..:-)
- it has no information we consider useful


The D-I team is currently in the process of cleaning out the old spool
of installation reports that haven't bene processed yet. 

In case you think that the problem you reported has chances to be
still present, please reiterate your installation test with
a more recent image of D-I, if you're in position of doing this.

You'll find daily builds at
http://www.debian.org/devel/debian-installer. We recommend you choose
the netboot image, in the "daily builds section", then choose to
install "squeeze" when prompted.

If some problems are found, please report them with a new bug sent
against installation-reports.

Many thanks for your understanding and your help improving Debian,
past and present.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Oct 2010 08:07:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:09:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.